Subject: Re: bug#15527: Failing test spencer1-locale for grep 2.14 on Solaris

From: Jim Meyering <[email-masked]>
Date: Wed, 9 Oct 2013 17:41:02 -0700

On Tue, Oct 8, 2013 at 12:36 AM, Dagobert Michelsen <[email-masked]> wrote:
> Hi Jim,
>
> Am 07.10.2013 um 16:58 schrieb Jim Meyering <[email-masked]>:
>> On Fri, Oct 4, 2013 at 7:40 AM, Dagobert Michelsen <[email-masked]> wrote:
>>> I have a failing test spencer1-locale for #514. The error is the same as the one
>>> reported here:
>>>  http://lists.gnu.org/archive/html/bug-grep/2012-08/msg00020.html
>>>
>>> I verified that the error also occurs when compiling with gcc 4.8.0.
>>>
>>> Here is the snippet for the failing test:
>> ...
>>> ++ echo $'a\002c'
>>> ++ LC_ALL=ru_RU.KOI8-R
>>> ++ grep -E -e 'a[^A-^C]?c'
>>> ++ echo 1
>>> + status=1
>>> + test 1 -ne 0
>>> + echo Spencer test '#514' failed '(ru_RU.KOI8-R)'
>>> Spencer test #514 failed (ru_RU.KOI8-R)
>>> + failures=1
>> ...

I have just build and run the tests on this system:

  SunOS login 5.10 Generic_147440-27 sun4v sparc SUNW,SPARC-Enterprise-T5220

All tests passed.
Then I ran manually the one that failed for you, and it passed:
[note that the range endpoints are Ctrl-a and Ctrl-e]

  > echo $'a\002c'| LC_ALL=ru_RU.KOI8-R ./grep -E 'a[^A-^E]?c'
  ac

It's looking like this problem is due to something specific to your
personal environment.
Can you reproduce that?

FTR, the gcc in my path was this:
  gcc version 3.4.3 (csl-sol210-3_4-branch+sol_rpath)